%poetry
% A function which generates random 'poetry' (!)
%
% LAST UPDATED by Andy French April 2016

function poetry

%Define nouns
nouns = {
    'Sebastian',...
    'Tarquin',...
    'Wilberforce',...
    'Gertrude',...
    'Elspeth',...
    'Maud',...
    'Ethan'
    };

%Verbs
verbs = {
    'eating',...
    'sleeping',...
    'singing',...
    'hair washing',...
    'cat stroking',...
    'jumping',...
    'falling'
    };

%Conjunctions
conjunction1 = {
    'is',...
    'is not',...
    'never',...
    'sometimes',...
    'is always'
    };

%Conjunctions
conjunction2 = {
    'and',...
    'or',...
    'with',...
    'before'
    };

%Adverbs
adverbs = {
    'noisily',...
    'slowly',...
    'purposefully',...
    'quickly',...
    'haughtily'
    };

%Adjective
adjectives = {
    'enormous',...
    'petite',...
    'arrogant',...
    'posh',...
    'obese',...
    'startling hairy'
    };

%Construct a random series of sentences, with words chosen from the above
%cell arrays

%Define number of sentences.
N = 100;

%Initialise our poetry vector of characters
poetry = [];
for n=1:N
    %Generate a random sentence   
    new_sentence = [ 
        adjectives{ randi( numel(adjectives), 1, 1) },' ',...
        nouns{ randi( numel(nouns), 1, 1) },' ',...
        conjunction1{ randi( numel(conjunction1), 1, 1) },' ',...
        verbs{ randi( numel(verbs), 1, 1) },' ',...
        adverbs{ randi( numel(adverbs), 1, 1) },'. ' ];
    poetry = [ poetry, new_sentence,char(10)];
end

%Open a text file and write poetry to it
f = fopen('random poetry.txt','w');
fwrite(f,poetry);
fclose(f);

%End of code


    