%vigeneresquare
% Generated an Excel file containing a Vigenere square. This can be used
% to create polyalphabetic cipher keys.
%
% LAST UPDATED by Andy French April 2016

function vigeneresquare

%Define alphabet
alphabet = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';

%Initialize cell array, which will store alphabet characters for the
%vigenere square
N = length(alphabet);
V = cell( N, N );

%Populate V
for n=1:N
    i = n;
    for m=1:N
        V{n,m} = alphabet(i);
        i = i + 1;
        if i > N
            i = 1;
        end
    end
end

%Write out Vigenere square to an Excel file
xlswrite( 'vigenere.xls', V );

%End of code